<h1 align="center">Apklis Http Web API</h1>

[![License: MIT](https://img.shields.io/badge/License-MIT-green.svg?label=license)](https://opensource.org/licenses/MIT)
[![Version](https://img.shields.io/pub/v/apklis_http_web_api)](https://pub.dev/packages/apklis_http_web_api)
[![codecov](https://codecov.io/gh/fluttercuba/apklis-dart-flutter/branch/main/graph/badge.svg?token=RTBS8EX4GQ)](https://codecov.io/gh/fluttercuba/apklis-dart-flutter)
[![Test](https://github.com/fluttercuba/apklis-dart-flutter/actions/workflows/test.yml/badge.svg)](https://github.com/fluttercuba/apklis-dart-flutter/actions/workflows/test.yml)
[![Melos](https://img.shields.io/badge/maintained%20with-melos-f700ff.svg?style=flat-square)](https://github.com/invertase/melos) [![Lint](https://img.shields.io/badge/style-lint-4BC0F.svg)](https://pub.dev/packages/lint)
[![Last commit](https://img.shields.io/github/last-commit/fluttercuba/apklis-dart-flutter.svg?style=flat)](https://github.com/fluttercuba/apklis-dart-flutter/commits)
[![GitHub commit activity](https://img.shields.io/github/commit-activity/m/fluttercuba/apklis-dart-flutter)](https://github.com/fluttercuba/apklis-dart-flutter/commits)
[![Github Stars](https://img.shields.io/github/stars/fluttercuba/apklis-dart-flutter?style=flat&logo=github)](https://github.com/fluttercuba/apklis-dart-flutter/stargazers)
[![Github Forks](https://img.shields.io/github/forks/fluttercuba/apklis-dart-flutter?style=flat&logo=github)](https://github.com/fluttercuba/apklis-dart-flutter/network/members)
[![Github Watchers](https://img.shields.io/github/watchers/fluttercuba/apklis-dart-flutter?style=flat&logo=github)](https://github.com/fluttercuba/apklis-dart-flutter)
[![GitHub contributors](https://img.shields.io/github/contributors/fluttercuba/apklis-dart-flutter?label=code%20contributors)](https://github.com/fluttercuba/apklis-dart-flutter/graphs/contributors)

---

Implementación concreta del paquete [apklis_web_api](https://pub.dev/packages/apklis_web_api) para interactuar con la API de [Apklis](https://apklis.cu) utilizando el paquete [http](https://pub.dev/packages/http).

## Ejemplo de uso

```dart
import 'package:apklis_http_web_api/apklis_http_web_api.dart';
import 'package:http/http.dart' as http;

final httpClient = http.Client();
final api = ApklisHttpWebApi(httpClient);
final model = await api.get(['com.example.nova.prosalud']);
model.when(
    success: (result) {
        if (result.results.isNotEmpty) {
            print(result.results.first.name);
        }
    },
    failure: (error) {
        print('${error.statusCode}, ${error.statusMessage}');
    },
);
```
